Bug 1595163 - leds-pca9532 module not built
Summary: leds-pca9532 module not built
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: kernel
Version: 28
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Kernel Maintainer List
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-06-26 09:26 UTC by Dominik 'Rathann' Mierzejewski
Modified: 2018-07-16 23:05 UTC (History)
17 users (show)

Fixed In Version: kernel-4.17.4-200.fc28
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-07-11 20:20:36 UTC
Type: Bug


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Red Hat Bugzilla 1601623 0 unspecified CLOSED leds-gpio and gpio-pca953x modules not built and GPIO sysfs support disabled 2021-02-22 00:41:40 UTC

Internal Links: 1601623

Description Dominik 'Rathann' Mierzejewski 2018-06-26 09:26:59 UTC
Description of problem:
The leds-pca9532 module is missing from Fedora kernel.

Version-Release number of selected component (if applicable):
kernel-4.17.2-200.fc28.x86_64

How reproducible:
Always.

Steps to Reproduce:
1. modprobe leds-pca9532
2. dnf install 'kmod(leds-pca9532.ko)'
3. grep PCA9532 /boot/config-4.17.2-200.fc28.x86_64

Actual results:
modprobe: FATAL: Module leds-pca9532 not found in directory /lib/modules/4.17.2-200.fc28.x86_64

No match for argument: kmod(leds-pca9532.ko)
Error: Unable to find a match

# CONFIG_LEDS_PCA9532 is not set

Expected results:
Module should be built and available.

Additional info:
This is required to drive the LEDs in Thecus N5550 NAS box.

Comment 1 Fedora Update System 2018-07-03 21:20:21 UTC
kernel-tools-4.17.4-200.fc28 kernel-4.17.4-200.fc28 has been submitted as an update to Fedora 28. https://bodhi.fedoraproject.org/updates/FEDORA-2018-d82a45d9ab

Comment 2 Fedora Update System 2018-07-03 21:21:04 UTC
kernel-tools-4.17.4-100.fc27 kernel-4.17.4-100.fc27 has been submitted as an update to Fedora 27. https://bodhi.fedoraproject.org/updates/FEDORA-2018-0f7448b3ab

Comment 3 Fedora Update System 2018-07-04 16:23:26 UTC
kernel-4.17.4-100.fc27, kernel-tools-4.17.4-100.fc27 has been pushed to the Fedora 27 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2018-0f7448b3ab

Comment 4 Fedora Update System 2018-07-04 18:22:18 UTC
kernel-4.17.4-200.fc28, kernel-tools-4.17.4-200.fc28 has been pushed to the Fedora 28 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2018-d82a45d9ab

Comment 5 Fedora Update System 2018-07-11 20:20:36 UTC
kernel-4.17.4-200.fc28, kernel-tools-4.17.4-200.fc28 has been pushed to the Fedora 28 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.